Option Strict Off
Option Explicit On
Friend Class frmConfigProgramacion
	Inherits System.Windows.Forms.Form
	
	Private Sub btnCerrar_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles btnCerrar.Click
		Me.Hide()
	End Sub
	
	
	Private Sub changeRepeticion()
		
		Select Case Me.cmbRepeticion.SelectedIndex
			Case 0
				Me.lblFechaFin.Enabled = False
				Me.txtFechaFin.Enabled = False
				Me.LblDiaSemana.Enabled = False
				Me.cmbDiaSemana.Enabled = False
				Me.txtDiaMes.Enabled = False
				Me.lblDiaMes.Enabled = False
				Me.lblMes.Enabled = False
				Me.cmbMes.Enabled = False
			Case 1
				Me.lblFechaFin.Enabled = True
				Me.txtFechaFin.Enabled = True
				Me.LblDiaSemana.Enabled = False
				Me.cmbDiaSemana.Enabled = False
				Me.txtDiaMes.Enabled = False
				Me.lblDiaMes.Enabled = False
				Me.lblMes.Enabled = False
				Me.cmbMes.Enabled = False
			Case 2
				Me.lblFechaFin.Enabled = True
				Me.txtFechaFin.Enabled = True
				Me.LblDiaSemana.Enabled = True
				Me.cmbDiaSemana.Enabled = True
				Me.txtDiaMes.Enabled = False
				Me.lblDiaMes.Enabled = False
				Me.lblMes.Enabled = False
				Me.cmbMes.Enabled = False
			Case 3
				Me.lblFechaFin.Enabled = True
				Me.txtFechaFin.Enabled = True
				Me.LblDiaSemana.Enabled = False
				Me.cmbDiaSemana.Enabled = False
				Me.txtDiaMes.Enabled = True
				Me.lblDiaMes.Enabled = True
				Me.lblMes.Enabled = False
				Me.cmbMes.Enabled = False
			Case 4
				Me.lblFechaFin.Enabled = True
				Me.txtFechaFin.Enabled = True
				Me.LblDiaSemana.Enabled = False
				Me.cmbDiaSemana.Enabled = False
				Me.txtDiaMes.Enabled = True
				Me.lblDiaMes.Enabled = True
				Me.lblMes.Enabled = True
				Me.cmbMes.Enabled = True
		End Select
	End Sub
	
	'UPGRADE_WARNING: El evento cmbRepeticion.SelectedIndexChanged se puede desencadenar cuando se inicializa el formulario. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="88B12AE1-6DE0-48A0-86F1-60C0686C026A"'
	Private Sub cmbRepeticion_SelectedIndexChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmbRepeticion.SelectedIndexChanged
		changeRepeticion()
	End Sub
	
	Private Sub cmbRepeticion_KeyPress(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.KeyPressEventArgs) Handles cmbRepeticion.KeyPress
		Dim KeyAscii As Short = Asc(eventArgs.KeyChar)
		changeRepeticion()
		eventArgs.KeyChar = Chr(KeyAscii)
		If KeyAscii = 0 Then
			eventArgs.Handled = True
		End If
	End Sub
	
	
	
	Private Sub frmConfigProgramacion_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load
		Dim fechaTomorrow As Date
		fechaTomorrow = DateAdd(Microsoft.VisualBasic.DateInterval.Day, 1, Now)
		If Me.txtFechaInicio.Text = "" Then Me.txtFechaInicio.Text = VB6.Format(fechaTomorrow, "dd/mm/yyyy", FirstDayOfWeek.Monday)
		If Me.txtHora.Text = "" Then Me.txtHora.Text = VB6.Format(DateAdd(Microsoft.VisualBasic.DateInterval.Hour, 1, fechaTomorrow), "hh", FirstDayOfWeek.Monday) & ":00"
		
		If Me.cmbRepeticion.Text = "" Then Me.cmbRepeticion.Text = "Una vez"
		If Me.cmbDiaSemana.Text = "" Then Me.cmbDiaSemana.Text = VB6.GetItemString(Me.cmbDiaSemana, CDbl(VB6.Format(fechaTomorrow, "w", FirstDayOfWeek.Monday)) - 1)
		If Me.cmbMes.Text = "" Then Me.cmbMes.Text = VB6.GetItemString(Me.cmbMes, CDbl(VB6.Format(fechaTomorrow, "m", FirstDayOfWeek.Monday)) - 1)
		If Me.txtDiaMes.Text = "" Then Me.txtDiaMes.Text = VB6.Format(fechaTomorrow, "d", FirstDayOfWeek.Monday)
	End Sub
End Class