Option Strict Off
Option Explicit On
Friend Class frmDescomReportM
	Inherits System.Windows.Forms.Form
	
	
	
	
	
	
	Private Sub btnBuscarMensajes_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles btnBuscarMensajes.Click
		Me.ListView1.Items.Clear()
		cabecerasMensajes()
		Me.lblInfo.Text = ""
		Dim sms As New dcXMLSend.XMLSendClass
		
		'Asignar datos de Autentificacin
		sms.Usuario = Me.txtUsuario.Text
		sms.Clave = Me.txtPassword.Text
		sms.CodCli = Me.txtIdCli.Text
		
		'Crear filtro
		Dim filtro As New dcXMLSend.ReportFiltro
		Select Case Me.cmbPeriodo.SelectedIndex
			Case 0 'Dia
				filtro.PeriodoFecha = 0 'filtro.ePeriodo.Dia
			Case 1 'Semana
				filtro.PeriodoFecha = 1 'filtro.ePeriodo.Semana
			Case 2 'Mes
				filtro.PeriodoFecha = 2 'filtro.ePeriodo.Mes
			Case 3 'Todo
				filtro.PeriodoFecha = 3 'filtro.ePeriodo.Todo
			Case 4 'Personalizado
				filtro.PeriodoFecha = 4 'filtro.ePeriodo.SeleccionarRangoFecha
				filtro.AsignarPeriodoFecha(CDate(Me.txtFechaInicio.Text), CDate(Me.txtFechaFin.Text))
		End Select
		If txtNFilas.Text <> "" Then filtro.MaxNumeroResultados = CByte(txtNFilas.Text)
		If txtNDesde.Text <> "" Then filtro.nDesde = CInt(txtNDesde.Text)
		Select Case Me.cmbOrden.SelectedIndex
			Case 0
				filtro.Ordenacion = 0 'filtro.eOrden.Ascendente
			Case 1
				filtro.Ordenacion = 1 'filtro.eOrden.Descendente
		End Select
		Dim bEstado As dcXMLSend.eEstado
		
		bEstado = dcXMLSend.eEstado.Todos
		Select Case Me.cmbBEstado.SelectedIndex
			Case 0
				bEstado = dcXMLSend.eEstado.SinInformacion
			Case 1
				bEstado = dcXMLSend.eEstado.EnviadoSinConfirmacionEntrega
			Case 2
				bEstado = dcXMLSend.eEstado.EntregadoConConfirmacionEntrega
			Case 3
				bEstado = dcXMLSend.eEstado.RechazadoOSinInformacionDeEntrega
		End Select
		filtro.Busqueda(Me.txtBNombre.Text, Me.txtBMovil.Text, CShort(IIf(Me.txtBLista.Text = "", 0, Me.txtBLista.Text)), Me.txtBTexto.Text, Me.txtBIdEnvio.Text, bEstado)
		
		Dim resultado As dcXMLSend.ReportResultMensajes
		Dim n As dcXMLSend.ReportResulMensajesItem
		'UPGRADE_WARNING: Screen propiedad Screen.MousePointer tiene un nuevo comportamiento. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="6BA9B8D2-2A32-4B6E-8D36-44949974A5B4"'
		System.Windows.Forms.Cursor.Current = System.Windows.Forms.Cursors.WaitCursor
		resultado = sms.ReportMensajes(filtro)
		'UPGRADE_WARNING: Screen propiedad Screen.MousePointer tiene un nuevo comportamiento. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="6BA9B8D2-2A32-4B6E-8D36-44949974A5B4"'
		System.Windows.Forms.Cursor.Current = System.Windows.Forms.Cursors.Default
		Dim lt As System.Windows.Forms.ListViewItem
		If resultado.Autentificado Then
			If resultado.HayError = False Then
				Me.lblInfo.Text = resultado.nFilas & " mensajes de un total de " & resultado.nTotal & " mensajes."
				For	Each n In resultado.Mensajes
					lt = Me.ListView1.Items.Add(n.NM)
					'UPGRADE_WARNING: El lmite inferior de la coleccin lt cambi de 1 a 0. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="A3B628A0-A810-4AE2-BFA2-9E7A29EB9AD0"'
					If lt.SubItems.Count > 1 Then
						lt.SubItems(1).Text = n.idSend
					Else
						lt.SubItems.Insert(1, New System.Windows.Forms.ListViewItem.ListViewSubItem(Nothing, n.idSend))
					End If
					'UPGRADE_WARNING: El lmite inferior de la coleccin lt cambi de 1 a 0. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="A3B628A0-A810-4AE2-BFA2-9E7A29EB9AD0"'
					If lt.SubItems.Count > 2 Then
						lt.SubItems(2).Text = n.FechaEnviado
					Else
						lt.SubItems.Insert(2, New System.Windows.Forms.ListViewItem.ListViewSubItem(Nothing, n.FechaEnviado))
					End If
					'UPGRADE_WARNING: El lmite inferior de la coleccin lt cambi de 1 a 0. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="A3B628A0-A810-4AE2-BFA2-9E7A29EB9AD0"'
					If lt.SubItems.Count > 3 Then
						lt.SubItems(3).Text = n.Movil
					Else
						lt.SubItems.Insert(3, New System.Windows.Forms.ListViewItem.ListViewSubItem(Nothing, n.Movil))
					End If
					'UPGRADE_WARNING: El lmite inferior de la coleccin lt cambi de 1 a 0. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="A3B628A0-A810-4AE2-BFA2-9E7A29EB9AD0"'
					If lt.SubItems.Count > 4 Then
						lt.SubItems(4).Text = IIf(n.EstadoCodigo <> "", n.EstadoCodigo & "->", "") & n.Estado
					Else
						lt.SubItems.Insert(4, New System.Windows.Forms.ListViewItem.ListViewSubItem(Nothing, IIf(n.EstadoCodigo <> "", n.EstadoCodigo & "->", "") & n.Estado))
					End If
					'UPGRADE_WARNING: El lmite inferior de la coleccin lt cambi de 1 a 0. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="A3B628A0-A810-4AE2-BFA2-9E7A29EB9AD0"'
					If lt.SubItems.Count > 5 Then
						lt.SubItems(5).Text = n.FechaConfirmacion
					Else
						lt.SubItems.Insert(5, New System.Windows.Forms.ListViewItem.ListViewSubItem(Nothing, n.FechaConfirmacion))
					End If
					'UPGRADE_WARNING: El lmite inferior de la coleccin lt cambi de 1 a 0. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="A3B628A0-A810-4AE2-BFA2-9E7A29EB9AD0"'
					If lt.SubItems.Count > 6 Then
						lt.SubItems(6).Text = n.FechaConfirmacion
					Else
						lt.SubItems.Insert(6, New System.Windows.Forms.ListViewItem.ListViewSubItem(Nothing, n.FechaConfirmacion))
					End If
					'UPGRADE_WARNING: El lmite inferior de la coleccin lt cambi de 1 a 0. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="A3B628A0-A810-4AE2-BFA2-9E7A29EB9AD0"'
					If lt.SubItems.Count > 7 Then
						lt.SubItems(7).Text = n.Remitente
					Else
						lt.SubItems.Insert(7, New System.Windows.Forms.ListViewItem.ListViewSubItem(Nothing, n.Remitente))
					End If
					'UPGRADE_WARNING: El lmite inferior de la coleccin lt cambi de 1 a 0. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="A3B628A0-A810-4AE2-BFA2-9E7A29EB9AD0"'
					If lt.SubItems.Count > 8 Then
						lt.SubItems(8).Text = n.TextoMensaje
					Else
						lt.SubItems.Insert(8, New System.Windows.Forms.ListViewItem.ListViewSubItem(Nothing, n.TextoMensaje))
					End If
				Next n
			Else
				MsgBox(resultado.ErrorDescripcion)
			End If
		Else
			MsgBox(resultado.Comentario)
		End If
	End Sub
	
	
	
	
	Private Sub btnLimpiarFormulario_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles btnLimpiarFormulario.Click
		Me.ListView1.Items.Clear()
		LimpiarFormulario()
	End Sub
	
	
	
	Private Sub LimpiarFormulario()
		Me.ListView1.Items.Clear()
		Me.cmbPeriodo.Text = "Da"
		Me.txtFechaInicio.Text = CStr(Today)
		Me.txtFechaFin.Text = CStr(Today)
		Me.cmbOrden.Text = "Descendente"
		Me.cmbBEstado.Text = "Todos"
		Me.txtNFilas.Text = "15"
		Me.txtNDesde.Text = "1"
		Me.txtBNombre.Text = ""
		Me.txtBMovil.Text = ""
		Me.txtBIdEnvio.Text = ""
		Me.txtBLista.Text = ""
		Me.txtBTexto.Text = ""
		
	End Sub
	
	Private Sub btnBuscarEnvios_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles btnBuscarEnvios.Click
		Me.ListView1.Items.Clear()
		cabecerasEnvios()
		Me.lblInfo.Text = ""
		Dim sms As New dcXMLSend.XMLSendClass
		
		'Asignar datos de Autentificacin
		sms.Usuario = Me.txtUsuario.Text
		sms.Clave = Me.txtPassword.Text
		sms.CodCli = Me.txtIdCli.Text
		
		'Crear filtro
		Dim filtro As New dcXMLSend.ReportFiltro
		Select Case Me.cmbPeriodo.SelectedIndex
			Case 0
				filtro.PeriodoFecha = dcXMLSend.ePeriodo.Dia
			Case 1
				filtro.PeriodoFecha = dcXMLSend.ePeriodo.Semana
			Case 2
				filtro.PeriodoFecha = dcXMLSend.ePeriodo.Mes
			Case 3
				filtro.PeriodoFecha = dcXMLSend.ePeriodo.Todo
			Case 4
				filtro.PeriodoFecha = dcXMLSend.ePeriodo.SeleccionarRangoFecha
				filtro.AsignarPeriodoFecha(CDate(Me.txtFechaInicio.Text), CDate(Me.txtFechaFin.Text))
		End Select
		If txtNFilas.Text <> "" Then filtro.MaxNumeroResultados = CByte(txtNFilas.Text)
		If txtNDesde.Text <> "" Then filtro.nDesde = CInt(txtNDesde.Text)
		Select Case Me.cmbOrden.SelectedIndex
			Case 0
				filtro.Ordenacion = dcXMLSend.eOrden.Ascendente
			Case 1
				filtro.Ordenacion = dcXMLSend.eOrden.Descendente
		End Select
		Dim bEstado As dcXMLSend.eEstado
		bEstado = dcXMLSend.eEstado.Todos
		Select Case Me.cmbBEstado.SelectedIndex
			Case 0
				bEstado = dcXMLSend.eEstado.SinInformacion
			Case 1
				bEstado = dcXMLSend.eEstado.EnviadoSinConfirmacionEntrega
			Case 2
				bEstado = dcXMLSend.eEstado.EntregadoConConfirmacionEntrega
			Case 3
				bEstado = dcXMLSend.eEstado.RechazadoOSinInformacionDeEntrega
		End Select
		filtro.Busqueda(Me.txtBNombre.Text, Me.txtBMovil.Text, CShort(IIf(Me.txtBLista.Text = "", 0, Me.txtBLista.Text)), Me.txtBTexto.Text, "", bEstado)
		
		
		Dim resultado As dcXMLSend.ReportResultEnvios
		Dim n As dcXMLSend.ReportResultEnviosItem
		
		'UPGRADE_WARNING: Screen propiedad Screen.MousePointer tiene un nuevo comportamiento. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="6BA9B8D2-2A32-4B6E-8D36-44949974A5B4"'
		System.Windows.Forms.Cursor.Current = System.Windows.Forms.Cursors.WaitCursor
		resultado = sms.ReportEnvio(filtro)
		'UPGRADE_WARNING: Screen propiedad Screen.MousePointer tiene un nuevo comportamiento. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="6BA9B8D2-2A32-4B6E-8D36-44949974A5B4"'
		System.Windows.Forms.Cursor.Current = System.Windows.Forms.Cursors.Default
		Dim lt As System.Windows.Forms.ListViewItem
		If resultado.Autentificado Then
			If resultado.HayError = False Then
				Me.lblInfo.Text = resultado.nFilas & " mensajes de un total de " & resultado.nTotal & " mensajes."
				For	Each n In resultado.Envios
					lt = Me.ListView1.Items.Add(n.IdReport)
					
					'UPGRADE_WARNING: El lmite inferior de la coleccin lt cambi de 1 a 0. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="A3B628A0-A810-4AE2-BFA2-9E7A29EB9AD0"'
					If lt.SubItems.Count > 1 Then
						lt.SubItems(1).Text = n.Estado
					Else
						lt.SubItems.Insert(1, New System.Windows.Forms.ListViewItem.ListViewSubItem(Nothing, n.Estado))
					End If
					'UPGRADE_WARNING: El lmite inferior de la coleccin lt cambi de 1 a 0. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="A3B628A0-A810-4AE2-BFA2-9E7A29EB9AD0"'
					If lt.SubItems.Count > 2 Then
						lt.SubItems(2).Text = n.FechaEnviado
					Else
						lt.SubItems.Insert(2, New System.Windows.Forms.ListViewItem.ListViewSubItem(Nothing, n.FechaEnviado))
					End If
					'UPGRADE_WARNING: El lmite inferior de la coleccin lt cambi de 1 a 0. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="A3B628A0-A810-4AE2-BFA2-9E7A29EB9AD0"'
					If lt.SubItems.Count > 3 Then
						lt.SubItems(3).Text = n.TotalMensajes
					Else
						lt.SubItems.Insert(3, New System.Windows.Forms.ListViewItem.ListViewSubItem(Nothing, n.TotalMensajes))
					End If
					'UPGRADE_WARNING: El lmite inferior de la coleccin lt cambi de 1 a 0. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="A3B628A0-A810-4AE2-BFA2-9E7A29EB9AD0"'
					If lt.SubItems.Count > 4 Then
						lt.SubItems(4).Text = n.MConfirmados
					Else
						lt.SubItems.Insert(4, New System.Windows.Forms.ListViewItem.ListViewSubItem(Nothing, n.MConfirmados))
					End If
					'UPGRADE_WARNING: El lmite inferior de la coleccin lt cambi de 1 a 0. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="A3B628A0-A810-4AE2-BFA2-9E7A29EB9AD0"'
					If lt.SubItems.Count > 5 Then
						lt.SubItems(5).Text = n.MSinConfirmacion
					Else
						lt.SubItems.Insert(5, New System.Windows.Forms.ListViewItem.ListViewSubItem(Nothing, n.MSinConfirmacion))
					End If
					'UPGRADE_WARNING: El lmite inferior de la coleccin lt cambi de 1 a 0. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="A3B628A0-A810-4AE2-BFA2-9E7A29EB9AD0"'
					If lt.SubItems.Count > 6 Then
						lt.SubItems(6).Text = n.MSinInformacion
					Else
						lt.SubItems.Insert(6, New System.Windows.Forms.ListViewItem.ListViewSubItem(Nothing, n.MSinInformacion))
					End If
					'UPGRADE_WARNING: El lmite inferior de la coleccin lt cambi de 1 a 0. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="A3B628A0-A810-4AE2-BFA2-9E7A29EB9AD0"'
					If lt.SubItems.Count > 7 Then
						lt.SubItems(7).Text = n.MErrores
					Else
						lt.SubItems.Insert(7, New System.Windows.Forms.ListViewItem.ListViewSubItem(Nothing, n.MErrores))
					End If
				Next n
			Else
				MsgBox(resultado.ErrorDescripcion)
			End If
		Else
			MsgBox(resultado.Comentario)
		End If
	End Sub
	
	Private Sub frmDescomReportM_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load
		LimpiarFormulario()
		cabecerasMensajes()
	End Sub
	
	Private Sub cabecerasEnvios()
		Me.ListView1.Columns.Clear()
		Me.ListView1.Columns.Add("", "idReport", CInt(VB6.TwipsToPixelsX(700)))
		Me.ListView1.Columns.Add("", "Estado", CInt(VB6.TwipsToPixelsX(1500)))
		Me.ListView1.Columns.Add("", "Fecha Envio", CInt(VB6.TwipsToPixelsX(1500)))
		Me.ListView1.Columns.Add("", "Mensajes", CInt(VB6.TwipsToPixelsX(1500)))
		Me.ListView1.Columns.Add("", "Confirmados", CInt(VB6.TwipsToPixelsX(1500)))
		Me.ListView1.Columns.Add("", "Sin Confirmados", CInt(VB6.TwipsToPixelsX(1500)))
		Me.ListView1.Columns.Add("", "Sin info", CInt(VB6.TwipsToPixelsX(1500)))
		Me.ListView1.Columns.Add("", "Errores", CInt(VB6.TwipsToPixelsX(1500)))
	End Sub
	
	Private Sub cabecerasMensajes()
		Me.ListView1.Columns.Clear()
		Me.ListView1.Columns.Add("", "nm", CInt(VB6.TwipsToPixelsX(600)))
		Me.ListView1.Columns.Add("", "idsend", CInt(VB6.TwipsToPixelsX(700)))
		Me.ListView1.Columns.Add("", "FEnvio", CInt(VB6.TwipsToPixelsX(1500)))
		Me.ListView1.Columns.Add("", "movil", CInt(VB6.TwipsToPixelsX(1500)))
		Me.ListView1.Columns.Add("", "estado", CInt(VB6.TwipsToPixelsX(1500)))
		Me.ListView1.Columns.Add("", "FConfirmado", CInt(VB6.TwipsToPixelsX(1500)))
		Me.ListView1.Columns.Add("", "FEntragado", CInt(VB6.TwipsToPixelsX(1500)))
		Me.ListView1.Columns.Add("", "Remitente", CInt(VB6.TwipsToPixelsX(1400)))
		Me.ListView1.Columns.Add("", "Texto", CInt(VB6.TwipsToPixelsX(1900)))
	End Sub
End Class