Option Strict Off
Option Explicit On
Friend Class frmDescomSend
	Inherits System.Windows.Forms.Form
	
	Dim frmCProgramacion As New frmConfigProgramacion
	
	
	
	Private Sub btnCerrar_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles btnCerrar.Click
		Me.Close()
	End Sub
	
	
	
	
	Private Sub btnObtenerSaldo_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles btnObtenerSaldo.Click
		
		'Crear Clase
		Dim DMSMS As New dcXMLSend.XMLSendClass
		
		'Asignar acceso a plataforma Descom Mensajes
		DMSMS.Usuario = Me.txtUsuario.Text
		DMSMS.Clave = Me.txtClave.Text
		
		'Obtener Saldo
		DMSMS.getSaldo()
		
		'Verificar acceso
		If DMSMS.RXAutentificacion.resultado = "1" Then
			MsgBox("Saldo de la cuenta: " & DMSMS.RXAutentificacion.Saldo, MsgBoxStyle.Information, "Saldo")
		Else
			MsgBox(DMSMS.RXAutentificacion.Comentario, MsgBoxStyle.Critical, "Error de Acceso")
		End If
		
	End Sub
	
	
	Private Sub btnEnviarMensajeTexto_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles btnEnviarMensajeTexto.Click
		
		'Crear Clase
		Dim DMSMS As New dcXMLSend.XMLSendClass
		
		'Definicin de programacin
		Dim Programacion As dcXMLSend.Programacion
		Dim fechaInicio As Date
		Dim fechaFin As Date
		If Me.chkProgramacion.CheckState = 1 Then
			On Error Resume Next
			fechaInicio = CDate(frmCProgramacion.txtFechaInicio.Text & " " & frmCProgramacion.txtHora.Text)
			If Err.Number Then
				MsgBox("Error: fecha de programacin incorrecta.", MsgBoxStyle.Critical, "Error")
				Exit Sub
			End If
			On Error GoTo 0
			Select Case frmCProgramacion.cmbRepeticion.SelectedIndex
				Case 0
					Programacion = DMSMS.programadoUnaSolaVez((frmCProgramacion.txtNombre.Text), fechaInicio)
				Case 1
					Programacion = DMSMS.programadoDiariamente((frmCProgramacion.txtNombre.Text), fechaInicio)
				Case 2
					Programacion = DMSMS.programadoSemanalmente((frmCProgramacion.txtNombre.Text), fechaInicio, (frmCProgramacion.cmbDiaSemana.SelectedIndex))
				Case 3
					Programacion = DMSMS.programadoMensualmente((frmCProgramacion.txtNombre.Text), fechaInicio, CShort(frmCProgramacion.txtDiaMes.Text))
				Case 4
					Programacion = DMSMS.programadoAnualmente((frmCProgramacion.txtNombre.Text), fechaInicio, CShort(frmCProgramacion.txtDiaMes.Text), frmCProgramacion.cmbMes.SelectedIndex + 1)
			End Select
			If Not Programacion Is Nothing Then
				Programacion.ProgAvisar = frmCProgramacion.chkAvisar.CheckState = 1
				If frmCProgramacion.txtFechaFin.Enabled And frmCProgramacion.txtFechaFin.Text <> "" Then
					On Error Resume Next
					fechaFin = CDate(frmCProgramacion.txtFechaFin.Text)
					If Err.Number Then
						MsgBox("Error: fecha fin de programacin incorrecta.", MsgBoxStyle.Critical, "Error")
						Exit Sub
					Else
						Programacion.ProgFechaFinal = fechaFin
					End If
					On Error GoTo 0
				End If
			End If
		End If
		
		'Asignar acceso a plataforma Descom Mensajes
		DMSMS.Usuario = Me.txtUsuario.Text
		DMSMS.Clave = Me.txtClave.Text
		
		'Crear Mensaje
		'UPGRADE_WARNING: No se puede resolver la propiedad predeterminada del objeto DMSMS.XMLMensajes.MensajesSMS.Add. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		DMSMS.XMLMensajes.MensajesSMS.Add(1, Me.txtDestinatario.Text, Me.txtMensaje.Text, Me.txtRemitente.Text)
		
		'Id Envo
		If Me.txtIdEnvio.Text <> "" Then DMSMS.IdEnvioext = Me.txtIdEnvio.Text
		
		'Enviar
		DMSMS.SendXML("", "",  , Programacion)
		
		'Verificar acceso
		Dim MSG As dcXMLSend.MensajeSMS
		If DMSMS.RXAutentificacion.resultado = "1" Then
			If Me.chkProgramacion.CheckState = 1 Then
				MsgBox("Saldo de la cuenta: " & DMSMS.RXAutentificacion.Saldo & vbCrLf & "ID Envio Descom: " & DMSMS.IdEnviodm & vbCrLf & "ID Envio DLL: " & DMSMS.IdEnvioext & vbCrLf & "Mensajes Programado: " & IIf(DMSMS.ResultProgramacion, "Correctamente", "Error: revise que la programacin es correcta.") & vbCrLf & "Identificativo de la programacin: " & DMSMS.ResultProgramacionId & vbCrLf & "Mensajes programados correctamente: " & DMSMS.ResultProgramacionMsgOk & vbCrLf & "Mensajes programados con errores: " & DMSMS.ResultProgramacionMsgErr, MsgBoxStyle.Information, "Informe")
			Else
				MsgBox("Saldo de la cuenta: " & DMSMS.RXAutentificacion.Saldo & vbCrLf & "ID Envio Descom: " & DMSMS.IdEnviodm & vbCrLf & "ID Envio DLL: " & DMSMS.IdEnvioext & vbCrLf & "Total mensajes: " & DMSMS.TotalMensajesEnviados & vbCrLf & "Total mensajes enviaros: " & DMSMS.TotalMensajesEnviadosOK & vbCrLf & "Total errores: " & DMSMS.TotalMensajesEnviadosError & vbCrLf & "Crditos gastados: " & DMSMS.TotalCreditosGastados, MsgBoxStyle.Information, "Informe")
				For	Each MSG In DMSMS.XMLMensajes.MensajesSMS
					If MSG.resultado Then
						MsgBox("Mensajes " & MSG.Key & ": " & MSG.Comentario & vbCrLf & "Id envio: " & MSG.Iddm, MsgBoxStyle.Information)
					Else
						MsgBox("Mensajes " & MSG.Key & ": " & MSG.Comentario & vbCrLf & "Id envio: " & MSG.Iddm, MsgBoxStyle.Exclamation)
					End If
				Next MSG
			End If
		Else
			MsgBox(DMSMS.RXAutentificacion.Comentario, MsgBoxStyle.Critical, "Error de Acceso")
		End If
		'Vaciamos la coleccin de mnesajes para no replicar envos
		'UPGRADE_WARNING: No se puede resolver la propiedad predeterminada del objeto DMSMS.XMLMensajes.MensajesSMS.Clean. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		DMSMS.XMLMensajes.MensajesSMS.Clean()
	End Sub
	
	
	
	Private Sub btnEnviarMensajeWapPush_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles btnEnviarMensajeWapPush.Click
		'Crear Clase
		Dim DMSMS As New dcXMLSend.XMLSendClass
		
		'Asignar acceso a plataforma Descom Mensajes
		DMSMS.Usuario = Me.txtUsuario.Text
		DMSMS.Clave = Me.txtClave.Text
		
		'Crear Mensaje
		DMSMS.XMLMensajes.MensajesWAP.Add(CStr(1), (Me.txtDestinatario.Text), (Me.txtAsunto.Text), (Me.txtUrl.Text), Me.txtRemitente.Text)
		
		'Id Envo
		If Me.txtIdEnvio.Text <> "" Then DMSMS.IdEnvioext = Me.txtIdEnvio.Text
		
		'Enviar
		DMSMS.SendXML("", "")
		
		'Verificar acceso
		Dim MSG As dcXMLSend.MensajeWAP
		If DMSMS.RXAutentificacion.resultado = "1" Then
			MsgBox("Saldo de la cuenta: " & DMSMS.RXAutentificacion.Saldo & vbCrLf & "Total mensajes: " & DMSMS.TotalMensajesEnviados & vbCrLf & "Total mensajes enviaros: " & DMSMS.TotalMensajesEnviadosOK & vbCrLf & "Total errores: " & DMSMS.TotalMensajesEnviadosError & vbCrLf & "Crditos gastados: " & DMSMS.TotalCreditosGastados, MsgBoxStyle.Information, "Informe")
			For	Each MSG In DMSMS.XMLMensajes.MensajesWAP
				If MSG.resultado Then
					MsgBox("Mensajes " & MSG.Key & ": " & MSG.Comentario, MsgBoxStyle.Information)
				Else
					MsgBox("Mensajes " & MSG.Key & ": " & MSG.Comentario, MsgBoxStyle.Exclamation)
				End If
			Next MSG
		Else
			MsgBox(DMSMS.RXAutentificacion.Comentario, MsgBoxStyle.Critical, "Error de Acceso")
		End If
		'Vaciamos la coleccin de mnesajes para no replicar envos
		DMSMS.XMLMensajes.Clean()
	End Sub
	
	
	
	Private Sub btnVerConfiguracionProgramacion_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles btnVerConfiguracionProgramacion.Click
		VB6.ShowForm(frmCProgramacion, 1, Me)
	End Sub
	
	'UPGRADE_WARNING: El evento chkProgramacion.CheckStateChanged se puede desencadenar cuando se inicializa el formulario. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="88B12AE1-6DE0-48A0-86F1-60C0686C026A"'
	Private Sub chkProgramacion_CheckStateChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles chkProgramacion.CheckStateChanged
		If Me.chkProgramacion.CheckState = 1 Then
			Me.btnVerConfiguracionProgramacion.Enabled = True
			VB6.ShowForm(frmCProgramacion, 1, Me)
		Else
			Me.btnVerConfiguracionProgramacion.Enabled = False
		End If
	End Sub
	
	
	
	'UPGRADE_WARNING: El evento txtMensaje.TextChanged se puede desencadenar cuando se inicializa el formulario. Haga clic aqu para obtener ms informacin: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="88B12AE1-6DE0-48A0-86F1-60C0686C026A"'
	Private Sub txtMensaje_TextChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles txtMensaje.TextChanged
		Dim tm As Short
		tm = Len(Me.txtMensaje.Text)
		Dim nmens As Short
		Dim modulo As Short
		If tm = 0 Then
			Me.lblInfo.Text = ""
		ElseIf tm < 161 Then 
			Me.lblInfo.Text = tm & " caracteres."
		Else
			nmens = tm \ 153
			modulo = tm Mod 153
			If modulo > 0 Then
				nmens = nmens + 1
				Me.lblInfo.Text = nmens & " mensajes requeridos. (" & 153 - modulo & " caracteres hasta un nuevo mensaje)"
			Else
				Me.lblInfo.Text = nmens & " mensajes requeridos."
			End If
			
		End If
	End Sub
End Class